class inn::config {

  include inn::params
  $etcnews = $inn::params::etcnews
  $usrlibnews = $inn::params::usrlibnews

  File {
    owner => 'root',
    group => 'news',
    mode  => '0440',
  }

  file { "${etcnews}/pgp":
    ensure => directory,
  } ->
  file { "${etcnews}/pgp/pubring.gpg":
    ensure => present,
    source => 'puppet:///modules/inn/pubring.gpg',
  }

  file { "${etcnews}/innreport.conf":
    ensure  => present,
    content => template('inn/innreport.conf.erb'),
  }

}
