class inn::params {

  case $osfamily {
    'debian': {
      $pkg = 'inn2'
      $service = 'inn2'
      $etcnews = '/etc/news'
      $usrlibnews = '/usr/lib/news'
    }
    'redhat': {
      $pkg = 'inn'
      $service = 'innd'
      $etcnews = '/etc/news'
      $usrlibnews = '/usr/libexec/news'
    }
    default: {
      fail("Module $module_name is not supported on $osfamily.")
    }
  }

}
